## org.hibernate.ejb.packaging
Interface JarVisitor

All Known Implementing Classes:
  AbstractJarVisitor, ExplodedJarVisitor, FileZippedJarVisitor, InputStreamZippedJarVisitor, JarProtocolVisitor

    public interface JarVisitor

Method Summary
`Filter[]` `getFilters()`
`Set[]` `getMatchingEntries()` Return the matching entries for each filter in the same order the filter where passed
`String` `getUnqualifiedJarName()` Get the unqualified Jar name (ie wo path and wo extension)

Method Detail

### getUnqualifiedJarName

    String getUnqualifiedJarName()

  Get the unqualified Jar name (ie wo path and wo extension)

  Returns:
    the unqualified jar name.

### getFilters

    Filter[] getFilters()

### getMatchingEntries

    Set[] getMatchingEntries()
                             throws IOException

  Return the matching entries for each filter in the same order the filter where passed

  Returns:
    array of Set of JarVisitor.Entry
  Throws:
    `IOException` - if something went wrong

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.